You are Here:
Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.



[ SOLVED ] Broken packages linux kernel

Author (Read 5224 times)

0 Members and 1 Guest are viewing this topic.

Broken packages linux kernel
« on: May 27, 2017, 03:13:55 PM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
I go to synaptic package manager and I get this message.
"You have 2 broken packages on your system"
I go to the "Broken" filter and it comes up with 2 packages.
1. Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
2. Generic Linux kernel image

I hilite #1 and it tells me
"You likely do not want to install this package directly. Instead, install
the linux-generic meta-package, which will ensure that upgrades work
correctly, and that supporting packages are also installed."

I search "linux-generic meta-package" and a list comes up but not with "meta-package" in it.

Can this be affecting my "Install Updates" which, recently, has had no new updates.
Last Edit: May 30, 2017, 10:07:53 PM by Jerry
 


Re: Broken packages linux kernel
« Reply #1 on: May 28, 2017, 05:58:14 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7032
    Posts
  • Country: nz
  • Reputation: 653
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Yes, this will be affecting your Install Updates. Open a terminal, and do the following :

Code: [Select]
sudo apt-get update && sudo apt-get dist-upgrade - y

and post the output here.

Sent from my Mobile phone using Tapatalk

 

Re: Broken packages linux kernel
« Reply #2 on: May 28, 2017, 06:24:07 AM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
I replaced computer name with (my name). Did I need to do that?

(my name):~$ sudo apt-get update && sudo apt-get dist-upgrade - y
[sudo] password for (my name):
Hit:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease             
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:4 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Hit:5 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease           
Hit:6 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Hit:7 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease         
Hit:8 http://repo.linuxliteos.com/linuxlite citrine InRelease                 
Hit:9 http://archive.canonical.com xenial InRelease                           
Fetched 102 kB in 5s (18.7 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.

(my name):~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  brainparty-data ca-certificates-mono cli-common fonts-dustin kdeedu-data
  kdeedu-kvtml-data khelpcenter4 libgdiplus libglib2.0-cil libgtk2.0-cil
  libkeduvocdocument5 libmono-addins-gui0.2-cil libmono-addins0.2-cil
  libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil
  libmono-system-core4.0-cil libmono-system-drawing4.0-cil
  libmono-system-security4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil linux-headers-4.4.0-59 linux-headers-4.4.0-59-generic
  linux-headers-4.4.0-62 linux-headers-4.4.0-62-generic linux-headers-4.4.0-63
  linux-headers-4.4.0-63-generic linux-headers-4.4.0-64
  linux-headers-4.4.0-64-generic linux-headers-4.4.0-66
  linux-headers-4.4.0-66-generic linux-headers-4.4.0-67
  linux-headers-4.4.0-67-generic linux-headers-4.4.0-71
  linux-headers-4.4.0-71-generic linux-image-4.4.0-59-generic
  linux-image-4.4.0-62-generic linux-image-4.4.0-63-generic
  linux-image-4.4.0-64-generic linux-image-4.4.0-66-generic
  linux-image-4.4.0-67-generic linux-image-4.4.0-71-generic
  linux-image-extra-4.4.0-59-generic linux-image-extra-4.4.0-62-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic
  linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-67-generic
  linux-image-extra-4.4.0-71-generic mono-4.0-gac mono-gac mono-runtime
  mono-runtime-common mono-runtime-sgen
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  linux-image-4.4.0-78-generic
Suggested packages:
  fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
The following NEW packages will be installed:
  linux-image-4.4.0-78-generic
0 upgraded, 1 newly installed, 0 to remove and 75 not upgraded.
6 not fully installed or removed.
Need to get 0 B/21.9 MB of archives.
After this operation, 66.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 516291 files and directories currently installed.)
Preparing to unpack .../linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb ...
Done.
Unpacking linux-image-4.4.0-78-generic (4.4.0-78.99) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb (--unpack):
 cannot copy extracted data for './boot/vmlinuz-4.4.0-78-generic' to '/boot/vmlinuz-4.4.0-78-generic.dpkg-new': failed to write (No space left on device)
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

Re: Broken packages linux kernel
« Reply #3 on: May 28, 2017, 06:35:13 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7032
    Posts
  • Country: nz
  • Reputation: 653
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Looks like you're out of space. Run Lite Tweaks, Kernel Remover. Remove all unused kernels. Then run the previous commands again.

Sent from my Mobile phone using Tapatalk

 

Re: Broken packages linux kernel
« Reply #4 on: May 29, 2017, 10:04:49 AM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
Followed instructions. However, when Tweaks was finished I opened it again and the list remained. It appears nothing was removed. I tried again with with same results. Out of curiosity I went to Auotremove Packages. It came back with "An Error Has Occurred" (no error listed, just the note).
I then reran the code: the result follows...

myname:~$ sudo apt-get update && sudo apt-get dist-upgrade - y
[sudo] password for morhin:
Hit:1 http://repo.linuxliteos.com/linuxlite citrine InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu xenial InRelease                     
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:4 http://archive.canonical.com xenial InRelease                           
Get:5 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Hit:6 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Get:7 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB] 
Hit:8 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Hit:9 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease         
Get:10 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [5,620 B]
Get:11 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [5,616 B]
Fetched 318 kB in 1s (188 kB/s)                               
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.
myname:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  brainparty-data ca-certificates-mono cli-common fonts-dustin kdeedu-data
  kdeedu-kvtml-data khelpcenter4 libgdiplus libglib2.0-cil libgtk2.0-cil
  libkeduvocdocument5 libmono-addins-gui0.2-cil libmono-addins0.2-cil
  libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil
  libmono-system-core4.0-cil libmono-system-drawing4.0-cil
  libmono-system-security4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil linux-headers-4.4.0-59 linux-headers-4.4.0-59-generic
  linux-headers-4.4.0-62 linux-headers-4.4.0-62-generic linux-headers-4.4.0-63
  linux-headers-4.4.0-63-generic linux-headers-4.4.0-64
  linux-headers-4.4.0-64-generic linux-headers-4.4.0-66
  linux-headers-4.4.0-66-generic linux-headers-4.4.0-67
  linux-headers-4.4.0-67-generic linux-headers-4.4.0-71
  linux-headers-4.4.0-71-generic linux-image-4.4.0-59-generic
  linux-image-4.4.0-62-generic linux-image-4.4.0-63-generic
  linux-image-4.4.0-64-generic linux-image-4.4.0-66-generic
  linux-image-4.4.0-67-generic linux-image-4.4.0-71-generic
  linux-image-extra-4.4.0-59-generic linux-image-extra-4.4.0-62-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic
  linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-67-generic
  linux-image-extra-4.4.0-71-generic mono-4.0-gac mono-gac mono-runtime
  mono-runtime-common mono-runtime-sgen
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  linux-image-4.4.0-78-generic
Suggested packages:
  fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
The following NEW packages will be installed:
  linux-image-4.4.0-78-generic
0 upgraded, 1 newly installed, 0 to remove and 75 not upgraded.
6 not fully installed or removed.
Need to get 0 B/21.9 MB of archives.
After this operation, 66.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 516291 files and directories currently installed.)
Preparing to unpack .../linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb ...
Done.
Unpacking linux-image-4.4.0-78-generic (4.4.0-78.99) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb (--unpack):
 cannot copy extracted data for './boot/vmlinuz-4.4.0-78-generic' to '/boot/vmlinuz-4.4.0-78-generic.dpkg-new': failed to write (No space left on device)
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
myname:~$


end run.... I then went back to Tweak/Kernel Remove and the list is still there.

 

Re: Broken packages linux kernel
« Reply #5 on: May 29, 2017, 10:16:38 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7032
    Posts
  • Country: nz
  • Reputation: 653
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Do:

Code: [Select]
sudo apt-get clean
see if that frees up some space.

What is the output of:

Code: [Select]
uname -a
 

Re: Broken packages linux kernel
« Reply #6 on: May 29, 2017, 11:48:36 AM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
here's the run.... no apparent change.

myname:~$ sudo apt-get clean
[sudo] password for myname:
myname:~$ uname -a
Linux myname 4.4.0-75-generic #96-Ubuntu SMP Thu Apr 20 09:56:33 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
myname:~$ 

ran code again just in case...

myname:~$ sudo apt-get clean
[sudo] password for myname:
myname:~$ uname -a
myname 4.4.0-75-generic #96-Ubuntu SMP Thu Apr 20 09:56:33 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
myname:~$ ^C
myname:~$ sudo apt-get update && sudo apt-get dist-upgrade - y
Hit:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Hit:4 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease         
Hit:5 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB] 
Hit:7 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease         
Hit:8 http://repo.linuxliteos.com/linuxlite citrine InRelease                 
Hit:9 http://archive.canonical.com xenial InRelease                           
Fetched 306 kB in 5s (55.6 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.
myname:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  brainparty-data ca-certificates-mono cli-common fonts-dustin kdeedu-data
  kdeedu-kvtml-data khelpcenter4 libgdiplus libglib2.0-cil libgtk2.0-cil
  libkeduvocdocument5 libmono-addins-gui0.2-cil libmono-addins0.2-cil
  libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil
  libmono-system-core4.0-cil libmono-system-drawing4.0-cil
  libmono-system-security4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil linux-headers-4.4.0-59 linux-headers-4.4.0-59-generic
  linux-headers-4.4.0-62 linux-headers-4.4.0-62-generic linux-headers-4.4.0-63
  linux-headers-4.4.0-63-generic linux-headers-4.4.0-64
  linux-headers-4.4.0-64-generic linux-headers-4.4.0-66
  linux-headers-4.4.0-66-generic linux-headers-4.4.0-67
  linux-headers-4.4.0-67-generic linux-headers-4.4.0-71
  linux-headers-4.4.0-71-generic linux-image-4.4.0-59-generic
  linux-image-4.4.0-62-generic linux-image-4.4.0-63-generic
  linux-image-4.4.0-64-generic linux-image-4.4.0-66-generic
  linux-image-4.4.0-67-generic linux-image-4.4.0-71-generic
  linux-image-extra-4.4.0-59-generic linux-image-extra-4.4.0-62-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic
  linux-image-extra-4.4.0-66-generic linux-image-extra-4.4.0-67-generic
  linux-image-extra-4.4.0-71-generic mono-4.0-gac mono-gac mono-runtime
  mono-runtime-common mono-runtime-sgen
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  linux-image-4.4.0-78-generic
Suggested packages:
  fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
The following NEW packages will be installed:
  linux-image-4.4.0-78-generic
0 upgraded, 1 newly installed, 0 to remove and 75 not upgraded.
6 not fully installed or removed.
Need to get 21.9 MB of archives.
After this operation, 66.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-4.4.0-78-generic amd64 4.4.0-78.99 [21.9 MB]
Fetched 21.9 MB in 8s (2,529 kB/s)                                             
(Reading database ... 516291 files and directories currently installed.)
Preparing to unpack .../linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb ...
Done.
Unpacking linux-image-4.4.0-78-generic (4.4.0-78.99) ...
dpkg: error processing archive /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb (--unpack):
 cannot copy extracted data for './boot/vmlinuz-4.4.0-78-generic' to '/boot/vmlinuz-4.4.0-78-generic.dpkg-new': failed to write (No space left on device)
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-78-generic /boot/vmlinuz-4.4.0-78-generic
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-4.4.0-78-generic_4.4.0-78.99_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
myname:~$


 

Re: Broken packages linux kernel
« Reply #7 on: May 29, 2017, 11:50:21 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7032
    Posts
  • Country: nz
  • Reputation: 653
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Try:

Code: [Select]
sudo apt autoremove -y
 

Re: Broken packages linux kernel
« Reply #8 on: May 29, 2017, 11:57:26 AM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 740
    Posts
  • Country: us
  • Reputation: 114
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
This may also help. One command at a time from Terminal:


Code: [Select]
sudo apt-get autoclean -y
sudo apt-get autoremove -y
sudo rm -rf /var/lib/apt/lists/*
sudo mkdir -p /var/lib/apt/lists/partial
sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: Broken packages linux kernel
« Reply #9 on: May 29, 2017, 12:13:04 PM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
Thx guys.... ralphy, here's the readout..... and it appears... still can't update...

me:~$ sudo apt-get autoclean -y
[sudo] password for me:
Reading package lists... Done
Building dependency tree       
Reading state information... Done

me:~$ sudo apt-get autoremove -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.

me:~$ sudo rm -rf /var/lib/apt/lists/*

me:~$ sudo mkdir -p /var/lib/apt/lists/partial

me:~$ sudo dpkg --configure -a
Setting up linux-image-extra-4.4.0-75-generic (4.4.0-75.96) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-75-generic /boot/vmlinuz-4.4.0-75-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-75-generic /boot/vmlinuz-4.4.0-75-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-75-generic /boot/vmlinuz-4.4.0-75-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-75-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-75-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: error processing package linux-image-extra-4.4.0-75-generic (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up initramfs-tools (0.122ubuntu8.8) ...
update-initramfs: deferring update (trigger activated)
dpkg: dependency problems prevent configuration of linux-image-extra-4.4.0-78-generic:
 linux-image-extra-4.4.0-78-generic depends on linux-image-4.4.0-78-generic; however:
  Package linux-image-4.4.0-78-generic is not installed.

dpkg: error processing package linux-image-extra-4.4.0-78-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-4.4.0-78-generic; however:
  Package linux-image-4.4.0-78-generic is not installed.
 linux-image-generic depends on linux-image-extra-4.4.0-78-generic; however:
  Package linux-image-extra-4.4.0-78-generic is not configured yet.

dpkg: error processing package linux-image-generic (--configure):
 dependency problems - leaving unconfigured
Setting up linux-firmware (1.157.10) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-75-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-75-generic with 1.
dpkg: error processing package linux-firmware (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 4.4.0.78.84); however:
  Package linux-image-generic is not configured yet.

dpkg: error processing package linux-generic (--configure):
 dependency problems - leaving unconfigured
Processing triggers for initramfs-tools (0.122ubuntu8.8) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-75-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-4.4.0-75-generic with 1.
dpkg: error processing package initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-extra-4.4.0-75-generic
 linux-image-extra-4.4.0-78-generic
 linux-image-generic
 linux-firmware
 linux-generic
 initramfs-tools

me:~$ sudo apt-get update
Get:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]     
Get:3 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial InRelease [17.5 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]   
Get:5 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease [17.5 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB] 
Get:7 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease [17.5 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu xenial/main Sources [868 kB]         
Get:9 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial/main amd64 Packages [2,360 B]
Get:10 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial/main i386 Packages [2,372 B]
Get:11 http://ppa.launchpad.net/nemh/systemback/ubuntu xenial/main Translation-en [832 B]
Get:12 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial/main amd64 Packages [3,048 B]
Get:13 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial/main i386 Packages [3,060 B]
Get:14 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial/main Translation-en [1,828 B]
Get:15 http://security.ubuntu.com/ubuntu xenial-security/main Sources [72.5 kB]
Get:16 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial/main amd64 Packages [1,860 B]
Get:17 http://security.ubuntu.com/ubuntu xenial-security/restricted Sources [2,600 B]
Get:18 http://security.ubuntu.com/ubuntu xenial-security/universe Sources [28.0 kB]
Get:19 http://security.ubuntu.com/ubuntu xenial-security/multiverse Sources [1,144 B]
Get:20 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [268 kB]
Get:21 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial/main i386 Packages [1,848 B]
Get:22 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial/main Translation-en [828 B]
Get:23 http://us.archive.ubuntu.com/ubuntu xenial/restricted Sources [4,808 B]
Get:24 http://us.archive.ubuntu.com/ubuntu xenial/universe Sources [7,728 kB] 
Get:25 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [255 kB]
Get:26 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [113 kB]
Get:27 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [7,428 B]
Get:28 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7,432 B]
Get:29 http://security.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2,428 B]
Get:30 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [115 kB]
Get:31 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [102 kB]
Get:32 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [59.8 kB]
Get:33 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [2,752 B]
Get:34 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [2,912 B]
Get:35 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [1,232 B]
Get:36 http://repo.linuxliteos.com/linuxlite citrine InRelease [2,107 B]       
Get:37 http://repo.linuxliteos.com/linuxlite citrine/main amd64 Packages [14.0 kB]
Get:38 http://archive.canonical.com xenial InRelease [11.5 kB]                 
Get:39 http://repo.linuxliteos.com/linuxlite citrine/main i386 Packages [13.9 kB]
Get:40 http://archive.canonical.com xenial/partner amd64 Packages [3,340 B]   
Get:41 http://archive.canonical.com xenial/partner i386 Packages [3,620 B]
Get:42 http://archive.canonical.com xenial/partner Translation-en [1,964 B]
Get:43 http://us.archive.ubuntu.com/ubuntu xenial/multiverse Sources [179 kB] 
Get:44 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]
Get:45 http://us.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]
Get:46 http://us.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]
Get:47 http://us.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]
Get:48 http://us.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]
Get:49 http://us.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]
Get:50 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]
Get:51 http://us.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]
Get:52 http://us.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]
Get:53 http://us.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]
Get:54 http://us.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]
Get:55 http://us.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]
Get:56 http://us.archive.ubuntu.com/ubuntu xenial-updates/main Sources [251 kB]
Get:57 http://us.archive.ubuntu.com/ubuntu xenial-updates/restricted Sources [2,996 B]
Get:58 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe Sources [155 kB]
Get:59 http://us.archive.ubuntu.com/ubuntu xenial-updates/multiverse Sources [5,672 B]
Get:60 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [543 kB]
Get:61 http://us.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [528 kB]
Get:62 http://us.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [220 kB]
Get:63 http://us.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [7,776 B]
Get:64 http://us.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [7,792 B]
Get:65 http://us.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2,548 B]
Get:66 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [469 kB]
Get:67 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [454 kB]
Get:68 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [185 kB]
Get:69 http://us.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [8,928 B]
Get:70 http://us.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [7,996 B]
Get:71 http://us.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [4,460 B]
Get:72 http://us.archive.ubuntu.com/ubuntu xenial-backports/main Sources [3,304 B]
Get:73 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe Sources [4,036 B]
Get:74 http://us.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [4,684 B]
Get:75 http://us.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [4,676 B]
Get:76 http://us.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [3,216 B]
Get:77 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [5,620 B]
Get:78 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [5,616 B]
Get:79 http://us.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [2,872 B]
Fetched 36.2 MB in 25s (1,430 kB/s)                                           
Reading package lists... Done
me:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.


 

Re: Broken packages linux kernel
« Reply #10 on: May 29, 2017, 12:35:58 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 740
    Posts
  • Country: us
  • Reputation: 114
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
Ok then. Try:


Code: [Select]
sudo apt-get remove --purge linux-image-extra-4.4.0-78-generic -y
sudo apt-get autoremove
sudo update-grub
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: Broken packages linux kernel
« Reply #11 on: May 29, 2017, 01:13:55 PM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
here's the readout... logged out, logged in, still no update

 me:~$ sudo apt-get remove --purge linux-image-extra-4.4.0-78-generic -y
[sudo] password for me:
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not going to be installed
 Depends: linux-image-extra-4.4.0-78-generic but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
me:~$ sudo apt-get autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-78-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
 linux-image-generic : Depends: linux-image-4.4.0-78-generic but it is not installed
E: Unmet dependencies. Try using -f.
me:~$ sudo update-grub
Generating grub configuration file ...
Found background: /boot/grub_linux_lite.png
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found background image: /boot/grub_linux_lite.png
Found linux image: /boot/vmlinuz-4.4.0-75-generic
Found initrd image: /boot/initrd.img-4.4.0-75-generic
Found linux image: /boot/vmlinuz-4.4.0-72-generic
Found initrd image: /boot/initrd.img-4.4.0-72-generic
Found linux image: /boot/vmlinuz-4.4.0-71-generic
Found initrd image: /boot/initrd.img-4.4.0-71-generic
Found linux image: /boot/vmlinuz-4.4.0-67-generic
Found initrd image: /boot/initrd.img-4.4.0-67-generic
Found linux image: /boot/vmlinuz-4.4.0-66-generic
Found initrd image: /boot/initrd.img-4.4.0-66-generic
Found linux image: /boot/vmlinuz-4.4.0-64-generic
Found initrd image: /boot/initrd.img-4.4.0-64-generic
Found linux image: /boot/vmlinuz-4.4.0-63-generic
Found initrd image: /boot/initrd.img-4.4.0-63-generic
Found linux image: /boot/vmlinuz-4.4.0-62-generic
Found initrd image: /boot/initrd.img-4.4.0-62-generic
Found linux image: /boot/vmlinuz-4.4.0-59-generic
Found initrd image: /boot/initrd.img-4.4.0-59-generic
Found memtest86+ image: /memtest86+.elf
Found memtest86+ image: /memtest86+.bin
done
 

Re: Broken packages linux kernel
« Reply #12 on: May 29, 2017, 03:14:14 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 740
    Posts
  • Country: us
  • Reputation: 114
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
Ok amigo. The problem is that you've ran out of space in your /boot because of all the installed images and apt cannot fix it... at least not in its current state because we can't force the install yet.

Here is what we will do next. We will use dpgk instead. This is a little drastic and can be dangerous at times but it is what will help us this time around. From what you have posted, you are currently running kernel 4.4.0-75-generic.

So, we will delete some of those kernels images you are not using to free up some space first... from Terminal:

Code: [Select]
sudo dpkg --force-all -P linux-image-4.4.0-62-generic
sudo dpkg --force-all -P linux-image-4.4.0-63-generic
sudo dpkg --force-all -P linux-image-4.4.0-64-generic
sudo dpkg --force-all -P linux-image-4.4.0-66-generic

That should go trough without errors. Then, since some space has been recovered at this point, you will fix the umet dependencies:

Code: [Select]
sudo apt-get -f autoremove
The above should force the removal of dependencies this time around.

Finally, clean up:

Code: [Select]
sudo apt-get autoclean
sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade

Let us know.
Last Edit: May 29, 2017, 03:20:06 PM by ralphy
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 

Re: Broken packages linux kernel
« Reply #13 on: May 29, 2017, 05:30:38 PM »
 

amigo

  • New to Forums
  • *
  • 32
    Posts
  • Country: us
  • Reputation: 8
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM) i3-8130U CPU @ 2.20GHz

  • MEMORY: 6Gb

  • VIDEO CARD: Mesa DRI Intel(R) UHD Graphics 620 (Kabylake GT2)
No broken packages showing.  I'll go through stuff tomorrow and verify. Thx and blessings to ya ralphy.
 

Re: Broken packages linux kernel
« Reply #14 on: May 29, 2017, 05:56:08 PM »
 

ralphy

  • PayPal Supporter
  • Gold Level Poster
  • *****
  • 740
    Posts
  • Country: us
  • Reputation: 114
  • Linux Lite Developer

  • Linux Lite: 3.8 64bit
That's great @amigo , you're awesome! :)

To recover some more space and prevent this from happening again any time soon, I'd use Lite Tweaks now that no broken packages are showing to remove old kernels in the system that are not longer being used. Usually, I leave no more than 1 or 2 previous kernels in the system. You could do the same if that fits your needs.

All the best!
https://unlockforus.com

Sorry for seeming stupid and preferring Linux - I just don't know any better.

 


Tags:
 


Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.